Loading...

freebsd-current@freebsd.org

[Prev] Thread [Next]  |  [Prev] Date [Next]

Re: No working IDE in FreeBSD! O. Hartmann Sun Feb 26 03:00:38 2012

On 02/23/12 14:38, Eduardo Morras wrote:
> At 12:22 23/02/2012, O. Hartmann wrote:
>> Several time ago I tried to do some development within an IDE, not even
>> for lectural and educational purposes. Since most of our software is
>> written in C/C++ and OpenCL, I highly prefered ANJUTA, since this IDE
>> was highly customizable, flexible and even FreeBSD's ancient outdated
>> version in the ports suited our needs.
>>
>> Anjuta does not compile anymore for a long time. I do not know why, I
>> filed a PR (ports/161494). So I was looking for an alternative.
>>
>> I looked for some alternatives. The IDE should be configurable to use
>> CLANG. ECLIPSE is to large and it does not fit my purpose. I tried
>> devel/CodeBlocks, but CodeBlocks is narrowminded in terms of
>> configuration of an alternative compiler and I find it really hard and
>> not intuitiv to reconfigure the usage of CLANG.
>>
>> devel/anjuta is broken, so no chance. I also tried KDevelop, since many
>> of our Linux based scientists feel good having this very popular IDE,
>> but it is marked "broken" on FreeBSD.
>>
>> Before I waste more time on searching for a suitable IDE apart ANJUTA,
>> I'd like to ask people here what alternative they would suggest if the
>> focus is devel/anjuta. Eclipse is no way, KDevelop is broken, CodeBlocks
>> is incapable of being easily adapted to CLANG.
>>
>> Befor people tend to start a flame war: yes, I'm fine with vi and I'm
>> also fine with vim/gvim, but our students need to have the opportunity
>> to work with an IDE and our projects are partially that large, so an IDE
>> is needed.
>>
>> Thanks a lot for your patience and recommendations in advance.
> 
> Codelite, i use it and works fine (Freebsd 8.2) with Clang. Version on
> ports is 3.0 not 3.5. On the webpage you have information about how to
> configure for use with clang/llvm.

Codelite looks nice. But why is codelite setup in editors/codelite and
not in devel/codelite as other IDEs?

By the way, do all IDEs supported by FreeBSD suffer from being outdated
and aged eons? CodeLite 3.5 is at this very moment the most recent
version and claims to provide a much better LLVM/CLANG support.

Hope I can convince the maintainer by sending a PR ;-)

> 
>> Oliver
> 
>